function Boblust_OnLoad()

	SLASH_BOBLUST1 = "/bl"
	SLASH_BOBLUST2 = "/boblust"
	SlashCmdList["BOBLUST"] = Boblust_Command
	
	if(Boblust_enabled == nil) then
		Boblust_enabled = true
	end

	Boblust:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
end

function Boblust_OnEvent(self, event, ...)
	local arg1,arg2 = ...

	if Boblust_enabled and arg2 =="Bloodlust" and not UnitIsDeadOrGhost("player") and not (
			UnitAura("player", "Sated", "HARMFUL") or 
			UnitAura("player", "Temporal Displacement", "HARMFUL") or 
			UnitAura("player", "Insanity", "HARMFUL")) then
		for i = 1, 5 do
			PlaySoundFile("Interface\\addons\\Boblust\\media\\wc3_bloodlust.mp3", "Master")
		end
	end
end

function Boblust_Command(msg)
	local cmd, subCmd = Boblust_GetCmd(msg)
	if cmd == "toggle" then
		if Boblust_enabled then
			Boblust_enabled = false
			print("Boblust - |cffff0000Disabled|r")
		else
			Boblust_enabled = true
			print("Boblust - |cff00ff00Enabled|r")
		end
	else
		print("Boblust - Available commands;\n 'toggle' : Toggles the sound on or off.")
	end
	
end

function Boblust_GetCmd(msg)
	if(msg) then
		local a,b,c = strfind(msg, "(%S+)")
		if(a) then
			return c, strsub(msg, b+2)
		else	
			return ""
		end
	end
end